package po

import "plugins/zltx/internal/vo"

type OrderReq struct {
	Number          uint32 `validate:"required"`
	AccountType     int    `validate:"required"`
	MerchantId      string `validate:"required"`
	OutTradeNo      string `validate:"required"`
	ProductId       string `validate:"required"`
	TimeStamp       int64  `validate:"required"`
	RechargeAccount string `validate:"required"`
	NotifyUrl       string `validate:"required"`
	Version         string `validate:"required"`
	Sign            string
}

type OrderResp struct {
	Code    any     `json:"code"`
	Message string  `json:"message"`
	CodeStr vo.Code // 充值接口返回的请求码，可能是整数类型、浮点数类型、字符串,统一处理成字符串
}
